Cyberduck Mountain Duck CLI

#6781 closed defect (fixed)

End of stream errors not repeated

Reported by: Speacock Owned by: dkocher
Priority: normal Milestone: 4.4
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by dkocher)

Connection → Repeat failed networking tasks does not work with SFTP download. Errors from the underlying network trigger the popup:

I/O Error: Download failed
Unexpected end of sftp stream.

Clicking Try Again is always successful.

Preferences/Connection/Timeouts/Repeat failed networking tasks is checked

with delay (seconds): 30 Number of retries: 9

connection is OS X 10.7.4 client to OS X 10.7.4 server using public key authentication.

Change History (9)

comment:1 Changed on Sep 26, 2012 at 10:29:56 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Sep 26, 2012 at 11:11:40 AM by dkocher

We do not repeat this as only socket timeout errors are marked as a network issue. However this error is the SSH server no more sending bytes on active connection.

comment:3 Changed on Sep 26, 2012 at 11:12:14 AM by dkocher

  • Description modified (diff)
  • Summary changed from Connection → Repeat failed networking tasks does not work with SFTP download to End of stream errors not repeated

comment:4 Changed on Oct 4, 2012 at 11:38:11 AM by dkocher

#2551 closed as duplicate.

comment:5 Changed on Nov 26, 2012 at 5:25:24 PM by dkocher

  • Milestone set to 4.3

comment:6 Changed on Nov 26, 2012 at 5:25:28 PM by dkocher

  • Status changed from new to assigned

comment:7 Changed on Jun 19, 2013 at 10:24:30 AM by dkocher

In r11180 to be integrated.

comment:8 Changed on Jun 24, 2013 at 2:34:59 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:9 Changed on Jun 26, 2013 at 4:47:53 PM by dkocher

  • Milestone changed from 4.4 to 4.3.2
Note: See TracTickets for help on using tickets.
swiss made software